package com.yn.bftl.thirdparty.common.service;

import com.yn.bftl.thirdparty.common.dto.BaseSecretDTO;
import com.yn.bftl.thirdparty.modules.chinaums.dto.byx.ByxAsyncWithdrawDTO;

public interface ByxTradeWayService {

    void setTradeWayInPassword(BaseSecretDTO param);

    void setTradeWayInCert(BaseSecretDTO param, String walletId);

    void setCert(BaseSecretDTO param, String walletId);


    /**
     * 密码控件加密支付密码 设置tradeWayFeilds
     * @param param
     */
    void setTradeWayByBPass(BaseSecretDTO param);
}
